package Pooru::API::V0::Controller::Random;
use Mojo::Base "Mojolicious::Controller", -signatures;

sub media ($self)
{
	my $media = $self->schema->resultset("Media")->random->single;

	return $self->render(
		json => {error => "Media not found."},
		status => 404,
	) if !defined($media);

	return $self->redirect_to("show_media", media_id => $media->id);
}

sub tag ($self)
{
	my $tag = $self->schema->resultset("Tag")->random->single;

	return $self->render(
		json => {error => "Tag not found."},
		status => 404,
	) if !defined($tag);

	return $self->redirect_to(
	    $self->url_for("show_tag")->query(id => $tag->id));
}

1;
