use utf8;
package Pooru::Schema::Result::Media;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Pooru::Schema::Result::Media

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<media>

=cut

__PACKAGE__->table("media");

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0

=head2 storage_id

  data_type: 'text'
  is_nullable: 0
  size: 64

=head2 filename

  data_type: 'text'
  is_nullable: 0
  size: 256

=head2 content_type

  data_type: 'text'
  is_nullable: 1
  size: 256

=head2 upload_datetime

  data_type: 'text'
  default_value: current_timestamp
  is_nullable: 1
  size: 32

=cut

__PACKAGE__->add_columns(
  "id",
  { data_type => "integer", is_auto_increment => 1, is_nullable => 0 },
  "storage_id",
  { data_type => "text", is_nullable => 0, size => 64 },
  "filename",
  { data_type => "text", is_nullable => 0, size => 256 },
  "content_type",
  { data_type => "text", is_nullable => 1, size => 256 },
  "upload_datetime",
  {
    data_type => "text",
    default_value => \"current_timestamp",
    is_nullable => 1,
    size => 32,
  },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 UNIQUE CONSTRAINTS

=head2 C<storage_id_unique>

=over 4

=item * L</storage_id>

=back

=cut

__PACKAGE__->add_unique_constraint("storage_id_unique", ["storage_id"]);

=head1 RELATIONS

=head2 media_tags

Type: has_many

Related object: L<Pooru::Schema::Result::MediaTag>

=cut

__PACKAGE__->has_many(
  "media_tags",
  "Pooru::Schema::Result::MediaTag",
  { "foreign.media_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 tags

Type: many_to_many

Composing rels: L</media_tags> -> tag

=cut

__PACKAGE__->many_to_many("tags", "media_tags", "tag");


# Created by DBIx::Class::Schema::Loader v0.07052 @ 2025-04-26 09:36:47
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:ODG4pqImG0JNc1YpUIVNFA


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
