use utf8;
package Pooru::Schema::Result::TaggedMediaView;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Pooru::Schema::Result::TaggedMediaView

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';
__PACKAGE__->table_class("DBIx::Class::ResultSource::View");

=head1 TABLE: C<tagged_media_view>

=cut

__PACKAGE__->table("tagged_media_view");

=head1 ACCESSORS

=head2 media_id

  data_type: 'integer'
  is_nullable: 1

=head2 media_storage_id

  data_type: 'text'
  is_nullable: 1
  size: 64

=head2 media_filename

  data_type: 'text'
  is_nullable: 1
  size: 256

=head2 media_content_type

  data_type: 'text'
  is_nullable: 1
  size: 256

=head2 media_upload_datetime

  data_type: 'text'
  is_nullable: 1
  size: 32

=head2 tag_id

  data_type: 'integer'
  is_nullable: 1

=head2 tag_name

  data_type: 'text'
  is_nullable: 1
  size: 256

=head2 tag_kind_id

  data_type: 'text'
  is_nullable: 1
  size: 32

=head2 tag_display

  data_type: 'text'
  is_nullable: 1
  size: 289

=head2 tag_count

  data_type: (empty string)
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "media_id",
  { data_type => "integer", is_nullable => 1 },
  "media_storage_id",
  { data_type => "text", is_nullable => 1, size => 64 },
  "media_filename",
  { data_type => "text", is_nullable => 1, size => 256 },
  "media_content_type",
  { data_type => "text", is_nullable => 1, size => 256 },
  "media_upload_datetime",
  { data_type => "text", is_nullable => 1, size => 32 },
  "tag_id",
  { data_type => "integer", is_nullable => 1 },
  "tag_name",
  { data_type => "text", is_nullable => 1, size => 256 },
  "tag_kind_id",
  { data_type => "text", is_nullable => 1, size => 32 },
  "tag_display",
  { data_type => "text", is_nullable => 1, size => 289 },
  "tag_count",
  { data_type => "", is_nullable => 1 },
);


# Created by DBIx::Class::Schema::Loader v0.07052 @ 2025-04-26 09:36:47
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:yihpYS6ccFg3BurhyxXqIw


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
